# Linear connections

Let $\mathrm{M}$ be a differential manifold with $\dim \mathrm{M} = n \in \mathbb{N}$ used throughout the section. Let $\mathrm{TM}$ and $\mathrm{T^*M}$ denote the tangent and cotangent bundle. 

> *Definition 1*: a **linear connection** on the fiber bundle $\mathscr{B}$ is a map
>
> $$
>   \nabla: \Gamma(\mathrm{TM}) \times \Gamma(\mathscr{B}) \to \Gamma(\mathscr{B}): (\mathbf{v}, \mathbf{T}) \mapsto \nabla_\mathbf{v} \mathbf{T}, 
> $$
>
> satisfying the following properties, if $f,g \in C^\infty(\mathrm{M})$, $\mathbf{v} \in \mathrm{TM}$ and $\mathbf{T}, \mathbf{S} \in \mathscr{B}$ then
>
> 1. $\nabla_{f\mathbf{v}} \mathbf{T} = f \nabla_\mathbf{v} \mathbf{T}$
> 2. $\nabla_\mathbf{v} (f \mathbf{T} + g \mathbf{S}) = (\nabla_\mathbf{v} f) \mathbf{T} + f \nabla_\mathbf{v} \mathbf{T} + (\nabla_\mathbf{v} g) \mathbf{S} + g \nabla_{\mathbf{v}} \mathbf{S}$, 
> 3. $\nabla_\mathbf{v} f = \mathbf{v} f = \mathbf{k}(df, \mathbf{v})$. 

From property 3 it becomes clear that $\nabla_\mathbf{v}$ is an analogue of a directional derivative. 

